package llc.arma.ble.domain.usecase

import kotlinx.coroutines.flow.Flow
import llc.arma.ble.domain.model.BleName
import llc.arma.ble.domain.repository.BleNameRepository
import javax.inject.Inject

class GetBleNamesFlow @Inject constructor(
    private val bleNameRepository: BleNameRepository
) {

    operator fun invoke(): Flow<List<BleName>> {

        return bleNameRepository.getNamesFlow()

    }

}